CVE-2023-1281

NameCVE-2023-1281
DescriptionUse After Free vulnerability in Linux kernel traffic control index filter (tcindex) allows Privilege Escalation. The imperfect hash area can be updated while packets are traversing, which will cause a use-after-free when 'tcf_exts_exec()' is called with the destroyed tcf_ext. A local attacker user can use this vulnerability to elevate its privileges to root. This issue affects Linux Kernel: from 4.14 before git commit ee059170b1f7e94e55fa6cadee544e176a6e59c2.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
ReferencesDLA-3403-1, DLA-3404-1

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
linux (PTS)buster4.19.249-2vulnerable
buster (security)4.19.304-1fixed
bullseye5.10.209-2fixed
bullseye (security)5.10.218-1fixed
bookworm6.1.76-1fixed
bookworm (security)6.1.90-1fixed
trixie6.7.12-1fixed
sid6.8.12-1fixed
linux-5.10 (PTS)buster (security)5.10.216-1~deb10u1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
linuxsourcebuster4.19.282-1DLA-3403-1
linuxsourcebullseye5.10.178-1
linuxsource(unstable)6.1.15-1
linux-5.10sourcebuster5.10.178-3~deb10u1DLA-3404-1

Notes

https://kernel.dance/#ee059170b1f7e94e55fa6cadee544e176a6e59c2
https://git.kernel.org/linus/ee059170b1f7e94e55fa6cadee544e176a6e59c2 (6.2)
https://www.openwall.com/lists/oss-security/2023/04/11/3

Search for package or bug name: Reporting problems